Рекомендация Debian по безопасности

DSA-2856-1 libcommons-fileupload-java -- отказ в обслуживании

Дата сообщения:
07.02.2014
Затронутые пакеты:
libcommons-fileupload-java
Уязвим:
Да
Ссылки на базы данных по безопасности:
В каталоге Mitre CVE: CVE-2014-0050.
Более подробная информация:

Было обнаружено, что пакет Apache Commons FileUpload для Java может входить в бесконечный цикл при обработке составных (multipart) запросов со специально сформированным полем Content-Type, что приводит к отказу в обслуживании.

В предыдущем стабильном выпуске (squeeze) эта проблема была исправлена в версии 1.2.2-1+deb6u2.

В стабильном выпуске (wheezy) эта проблема была исправлена в версии 1.2.2-1+deb7u2.

В нестабильном выпуске (sid) эта проблема была исправлена в версии 1.3.1-1.

Рекомендуется обновить пакеты libcommons-fileupload-java.